<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    tools:context=".ui.login.LoginFragment">


    <LinearLayout
        android:id="@+id/login_container_layout"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:orientation="vertical">


        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/welcome"
            android:textAppearance="@style/TextAppearance.AppCompat.Display1" />

        <Space
            android:layout_width="match_parent"
            android:layout_height="25dp" />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <EditText
                android:id="@+id/app_peering_server"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:autofillHints="url"
                android:ems="10"
                android:hint="@string/peering_server_hint"
                android:inputType="textUri" />

            <Button
                android:id="@+id/peering_connect"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/peering_button_connect" />
        </LinearLayout>


        <Space
            android:layout_width="match_parent"
            android:layout_height="25dp" />

        <Spinner
            android:id="@+id/user_list_picker"
            android:layout_width="match_parent"
            android:layout_height="50dp" />

        <EditText
            android:id="@+id/user_password_entry"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:autofillHints="password"
            android:ems="10"
            android:hint="@string/prompt_password"
            android:inputType="textPassword" />

        <Button
            android:id="@+id/button_register"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/button_register" />

        <Button
            android:id="@+id/button_login"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/button_login" />
    </LinearLayout>

</LinearLayout>